"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SentryHttpPipelineModule = exports.SentryHttpPipelineModuleBuilder = void 0;
const core_1 = require("@dandi/core");
const local_token_1 = require("./local-token");
const sentry_error_handler_1 = require("./sentry-error-handler");
class SentryHttpPipelineModuleBuilder extends core_1.ModuleBuilder {
    constructor(...entries) {
        super(SentryHttpPipelineModuleBuilder, local_token_1.localToken.PKG, entries);
    }
}
exports.SentryHttpPipelineModuleBuilder = SentryHttpPipelineModuleBuilder;
exports.SentryHttpPipelineModule = new SentryHttpPipelineModuleBuilder(sentry_error_handler_1.SentryErrorHandler);
//# sourceMappingURL=sentry-http-pipeline.module.js.map